<template>
  <preloader v-if="isLoad"></preloader>
  <div id="contacts-page">
    <template
      v-for="content in pageContent"
      :key="content.index"
    >
    <Contacts
    v-if="content.type === 'contacts'"
      :content="content"
    />
    <div v-if="content.type === 'form'"
      id="forms"
      class="contact-form-wrapper"
    >
      <h2 v-html="content.title" v-if="!isMob"></h2>
      <v-form
        btn-size="medium"
        :type-feed="false"
        :content="content"
        :title="isMob"
        :messages="messages"
        :is-contacts-form="true"
      />
    </div>
    </template>
  </div>
</template>

<script>
import { HTTP, Routes } from '../api/API';
import Preloader from '../components/common/preloader.vue';
import Contacts from '../components/Contacts.vue';
import VForm from '../components/VForm.vue';

export default {
  components: { Contacts, VForm, Preloader },
  data() {
    return {
      form: null,
      contacts: null,
      pageContent: [],
      isMob: window.innerWidth < 1023 ? true : false,
      messages: [],
      isLoad: false
    };
  },
  computed: {},
  created() {},
  mounted() {
    this.getContent();
  },
  methods: {
    getContent() {
      // данные для форма
      HTTP.get(Routes.contacts)
        .then(response => {
          this.messages = response.data.data.messages;
          this.pageContent = response.data.data.content;
          // console.log('this.pageContent: ', this.pageContent);
        })
        .catch(error => {
          console.log(error);
        })
        .finally(() => {
          this.isLoad = false
        });
    },
  },
};
</script>

<style></style>
